Subject: bug#29189: 25.3; Dired does not work with binary filenames

From: Allen Li <[email-masked]>
Date: Tue, 7 Nov 2017 21:12:26 -0800

On Tue, Nov 7, 2017 at 9:08 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Andreas Schwab <[email-masked]>
>> It works if you add b to dired-listing-switches, though the buffer isn't
>> properly updated afterwards.
>
> Here (with the latest emacs-26 branch) it doesn't produce any error
> messages, and the buffer is updated to remove the name of that file,
> but 'g' brings it back, so it wasn't really deleted.
>
> I stepped into Fdelete_file, and saw that the file name is correctly
> encoded before calling 'unlink'.

I can confirm the behavior Andreas describes on Emacs 25.  There is a
slight bug where the buffer is not updated after the delete, but the
delete itself works

I do not know about Emacs 26, but it sounds like there's a regression.